Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7933 - Kudzu config failure - eth hw detected but not configured.
Summary: Kudzu config failure - eth hw detected but not configured.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-21 18:31 UTC by Harvey Stein
Modified: 2014-03-17 02:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-24 20:37:15 UTC


Attachments (Terms of Use)

Description Harvey Stein 1999-12-21 18:31:04 UTC
I added 4 ethernet cards to my box.  Kudzu very nicely detected three of
them and prompted me for config info (such as IP addresses, etc).  The
info got into /etc/sysconfig/hwconfig.  However, the info didn't take
effect.  The module aliases went into /etc/conf.modules, but I had a
/etc/modules.conf (or maybe visa-versa - I'm not at the box now to check).
In any case, the system read the one that wasn't modified, so the modules
didn't get loaded at boot time.  This maybe is a kudzu install bug in that
its post install should maybe copy the other modules config file into the
one kudzu wants to work with, mv the old one & say something about this
at installation time.

After fixing this, the interfaces still didn't come up at boot time.  As I
said, kudzu prompted me for IP addresses, gateways, etc, when it detected
the hardware change, but it didn't seem to get the info into
/etc/sysconfig/network-scripts/ifcfg-eth*.  I had to add the interfaces
again (I think I used linuxconf).  Kudzu should either create the
ifcfg-eth* files or it shouldn't prompt for the info.

Comment 1 Bill Nottingham 2000-02-09 21:15:59 UTC
It should create these files, via the netconfig program.

There were a couple of bugs fixed in regard to this; does
using the kudzu in the beta work any better?

Comment 2 Bill Nottingham 2000-02-24 20:37:59 UTC
OK. Some more bugs have been fixed in the latest
kudzu builds; please reopen if this persists
with kudzu-0.33-1 or later.

Comment 3 dan 2003-11-08 17:36:12 UTC
I just intalled Fedora Core1 on a PC that just three hours ago was
running perfectly using Redhat 9.  With Redhat 9 the Ethernet using
DHCP was setup and installed perfectly.  Fedora saw the card but it
would not work.  I looked up info at linuxquestons.org and here's what
I found and it worked for me.
---------------------------------------------
You are probably experiencing a bug with Kudzu and the 3Com network
driver.

See the following URL :
http://bugzilla.redhat.com/bugzilla...g.cgi?id=107389

If this is the case, you can try disabling "kudzu" as a workaround :

- Change to the root user with the command "su -"
- Disable Kudzu in the runlevels 3, 4 and 5 with the command
"chkconfig --level 345 kudzu off"
- Reboot the system.

Note : Kudzu is a program which detects and configures new and/or
changed hardware on a system.

--------------------------------------


Note You need to log in before you can comment on or make changes to this bug.